/*-----( Import needed libraries )-----*/
#include <DallasTemperature.h>
#include <OneWire.h>
#include <dht.h>

/*-----( Declare Constants )-----*/
#define DHT11_PIN 2
#define ONE_WIRE_BUS 3

int sensorPin = A0; /*  select the input pin for LDR */
int sensorValue = 0; /*  variable to store the value coming from the sensor */

OneWire ourWire(ONE_WIRE_BUS);   /* Set up a oneWire instance to communicate with any OneWire device*/
DallasTemperature sensors(&ourWire);   /* Tell Dallas Temperature Library to use oneWire Library */

dht DHT;

void setup(){
  Serial.begin(9600);   /*-(start serial port to see results )-*/

  sensors.begin();   /*-( Start up the DallasTemperature library )-*/
}

void loop()
{
  int chk = DHT.read11(DHT11_PIN);

sensorValue = analogRead(sensorPin); // read the value from the sensor

sensors.requestTemperatures(); // Send the command to get temperatures
  
 
  Serial.print("Air Temperature = ");
  Serial.print(DHT.temperature);
  Serial.print("C");
  Serial.print("\t");
  Serial.print("Air Humidity = ");
  Serial.print(DHT.humidity);
  Serial.print("%");
  Serial.print("\t\t");


  Serial.print("Water Temperature = ");
  Serial.print(sensors.getTempCByIndex(0));
  Serial.print("C");
  Serial.print("\t");



 // We'll have a few threshholds, qualitatively determined
  Serial.print("LDR Value = ");
  Serial.print(sensorValue);
  if (sensorValue < 100) {
    Serial.println(" (Dark)");
  } else if (sensorValue < 200) {
    Serial.println(" (Dim)");
  } else if (sensorValue < 500) {
    Serial.println(" (Light)");
  } else if (sensorValue < 800) {
    Serial.println(" (Bright)");
  } else {
    Serial.println(" (Very bright)");
  }

  
  delay(3000);
}

